<!DOCTYPE html>
<html layout:decorate="~{base}"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">

<div layout:fragment="content-sidebar">
    <li class="nav-item has-treeview menu-open">
        <a href="#" class="nav-link active">
            <i class="nav-icon fas fa-edit"></i>
            <p>
                Tugas
                <i class="fas fa-angle-left right"></i>
            </p>
        </a>
        <ul class="nav nav-treeview">
            <li class="nav-item">
                <a th:href="@{/tugas5/mahasiswa}" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Data Mahasiswa</p>
                </a>
            </li>
            <li class="nav-item">
                <a th:href="@{/tugas5/dosen}" class="nav-link active">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Data Dosen</p>
                </a>
            </li>
            <li class="nav-item">
                <a th:href="@{/tugas5/nilai}" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Data Nilai</p>
                </a>
            </li>
        </ul>
    </li>
</div>

<div class="row mb-2" layout:fragment="content-header">
    <div class="col-sm-6">
        <h1 class="m-0 text-dark">Data Dosen</h1>
    </div>
</div>

<div class="row" layout:fragment="content-body">

    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title">List Data Dosen</h3>
                <button class="float-right btn-danger" id="btn-delete-biodata" data-toggle="tooltip" title="delete table" data-placement="top" style="border-radius: 20%; margin-left: 5px;"><i class="fa fa-trash-alt"></i></button>
                <button class="float-right btn-primary" id="btn-tambah-biodata" data-toggle="tooltip" title="tambah" data-placement="top" style="border-radius: 20%;"><i class="fa fa-plus"></i></button>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
                <table class="table table-striped table-bordered table-hover nowrap" id="tableBiodata"
                       style="width:100%"></table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
    </div>
    <!-- /.col -->

    <div class="modal fade" id="modal-biodata">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #007bff">
                    <h4 class="modal-title" style="color: #fff">Form Dosen</h4>
                    <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" style="background-color: #f4f6f9">
                    <form id="form-biodata" role="form">
                        <input id="idDosen" name="idDosen" type="hidden"/>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card card-primary">
                                    <div class="card-body">
                                        <div class="form-group">
                                            <label>Nama </label>
                                            <input class="form-control" id="dosen" name="dosen"
                                                   placeholder="Nama" required type="text">
                                        </div>
                                        <div class="form-group">
                                            <label>Jurusan</label>
                                            <select class="form-control" id="idJurusan" required name="idJurusan">
                                                <option disabled selected hidden>-- Pilih --</option>
                                                <option value=1>Teknik Informatika</option>
                                                <option value=2>Manajemen Informatika</option>
                                                <option value=3>Sistem Informasi</option>
                                                <option value=4>Sistem Komputer</option>
                                                <option value=5>Komputer Science</option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label>Tipe Dosen </label>
                                            <select class="form-control" id="idTipeDosen" required name="idTipeDosen">
                                                <option disabled selected hidden>-- Pilih --</option>
                                                <option value=1>Tetap</option>
                                                <option value=2>Honorer</option>
                                                <option value=3>Ekspertise</option>
                                            </select>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer justify-content-between">
                    <button class="btn btn-default" data-dismiss="modal" type="button">Close</button>
                    <button class="btn btn-primary" id="btn-save-biodata" type="button">Save</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>

    <div class="modal fade" id="modal-delete">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #212529; color: #fff;">
                    <div id="modal-header">
                        <h4>Yakin ingin menghapus data ini?</h4>
                    </div>
                    <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                        <span aria-hidden="true" style="color: #fff;">&times;</span>
                    </button>
                </div>
                <div class="modal-body" id="modal-hidden-id">
                    <p>Data ini akan hilang setelah mengklik tombol "Delete"</p>
                </div>
                <div class="modal-footer justify-content-between">
                    <button class="btn btn-default" data-dismiss="modal" type="button">Close</button>
                    <button class="btn btn-danger" id="btn-delete-row" type="button">Delete</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
</div>


<th:block layout:fragment="add-scripts">
    <script th:src="@{/js/parsley.min.js}"></script>
    <script th:src="@{/js/default.js}"></script>
    <script th:src="@{/js/index2.js}"></script>
    <script>
        tableBiodata.create();

        $('#btn-tambah-biodata').click(function () {
            formBiodata.resetForm();
            $('#modal-biodata').modal('show')
        });

        $('#btn-save-biodata').click(function () {
            formBiodata.saveForm()
        });

        $('#btn-delete-row').click(function () {
            actionDelete.deleteRowData();
        });

        $('#btn-delete-biodata').click(function () {
            var h4 =  '<h4>Yakin ingin menghapus tabel ini?</h4>'
            var p = '<p>Semua data pada tabel akan hilang setelah mengklik tombol "Delete"</p>';
            $('#modal-header').html(h4)
            $('#modal-hidden-id').html(p);
            $('#btn-delete-row').addClass('delete-table')
            $('#modal-delete').modal('show')
        });

        $(document).on('click', 'button.delete-table', function () {
            actionDelete.deleteTable()
        })
    </script>
</th:block>

</html>


